Page MenuHomePhabricator

Inform users if the source wiki could not be updated
Closed, ResolvedPublic3 Estimate Story Points

Description

Motivation
After a successful file move to the target wiki, users can agree to us making changes on the source wiki, to let it know that transfer has happened. However, in case this is not possible, the user should be informed.

Acceptance Criteria
[] On the target wiki file page, show the error message:
The file has been successfully imported to <target wiki name>, but the template {{<template name}} could not be added automatically. Please return to [[the original file]] and add this template manually. [original file is link to source wiki]
[] The error message is yellow, as standard for mediawiki

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterShow warnings in success snippet

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 25 2019, 2:12 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript
Lea_WMDE set the point value for this task to 3.Jun 25 2019, 2:13 PM
awight claimed this task.Jun 28 2019, 1:42 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-06-26 board.
awight added a subscriber: awight.

Starting with the success snippet side, to make any status warnings turn the success box into a warning box.

Change 519636 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@master] Show warnings in success snippet

https://gerrit.wikimedia.org/r/519636

awight removed awight as the assignee of this task.Jun 28 2019, 2:25 PM

Change 519636 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Show warnings in success snippet

https://gerrit.wikimedia.org/r/519636

Gentle nudge—we're still blocked by these decisions (see T227064). It's still no particular rush, since I think the current behavior is good enough for MVP, but I wanted to flag this as a loose end to tie up.

sorry, it slipped my mind :/ Let's go with what you have implemented now, and we can always come back later and change it if we see fit.

awight added a comment.Jul 8 2019, 2:52 PM

Okay--last detail is that with two boxes, the text will have to be adjusted slightly. Perhaps the error box should say,

The template {{<template name>}} could not be added automatically. Please return to [[the original file]] and add this template manually.

This works in some cases, but exceptions where we fail to report the error are tracked in T233576: Source wiki edit logic doesn't detect some failure cases.

Demonstrating this feature is difficult because we have no way to force an error. I'm filing as "done" for now.

awight closed this task as Resolved.Sep 25 2019, 12:58 PM